> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Customer Subscriptions Price

> Update a customer subscription to pause it.



## OpenAPI

````yaml https://cdn.ecrypt.dev/swagger/gateway-swagger-v25.json put /v1/customers/{Customer}/subscriptions/{Subscription}
openapi: 3.0.4
info:
  title: Ecrypt.Gateway.Api
  description: Ecrypt API
  contact:
    name: Ecrypt
    url: https://www.ecrypt.com/
    email: Engineering@Ecrypt.com
  version: 1.0.0.0
servers: []
security: []
paths:
  /v1/customers/{Customer}/subscriptions/{Subscription}:
    put:
      tags:
        - Customers Subscription
      summary: Modify Customer Subscriptions Price
      description: Update a customer subscription to pause it.
      parameters:
        - name: Customer
          in: path
          description: "`Customer` is the Ecrypt customer identifier.\r\n\r\nExample: 00000000-0000-0000-0000-000000000000"
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
          example: 00000000-0000-0000-0000-000000000000
        - name: Subscription
          in: path
          description: "`Subscription` is the Ecrypt Subscription identifier.\r\n\r\nExample: 00000000-0000-0000-0000-000000000000"
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
          example: 00000000-0000-0000-0000-000000000000
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest:
      type: object
      properties:
        amount:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.SubscriptionAmount
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Customers.SubscriptionAmount:
      required:
        - total
      type: object
      properties:
        tax:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: double
          nullable: true
        surcharge:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: double
          nullable: true
        subtotal:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: double
          nullable: true
        total:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: double
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
      additionalProperties: false

````